#include <multicolors>

#pragma newdecls required

public Plugin myinfo = 
{
	name = "Name & Health of Attacker on Chat", 
	author = "LanteJoula", 
	description = "Name & Health of Attacker on Chat", 
	version = "1.0", 
	url = "https://steamcommunity.com/id/lantejoula/"
};

public void OnPluginStart()
{
	LoadTranslations("namehealthattackerchat.phrases");
	
	HookEvent("player_death", Event_PlayerDeath);
}

public Action Event_PlayerDeath(Event event, const char[] Name, bool dontBroadcast)
{
	int userid = GetClientOfUserId(event.GetInt("userid"));
	int attacker = GetClientOfUserId(event.GetInt("attacker"));
	
	char Name3[MAX_NAME_LENGTH];
	GetClientName(attacker, Name3, sizeof(Name3));
	
	if (attacker == userid)
		CPrintToChat(attacker, "%t %t", "Prefix", "Suicide Message"); //Suicide
	else
		CPrintToChat(userid, "%t %t", "Prefix", "Message", Name3, GetClientHealth(attacker));
} 